class Rubygem < ActiveRecord::Base
  belongs_to :project, :class_name => "Project", :foreign_key => "project_id"
  belongs_to :version, :class_name => "Version", :foreign_key => "version_id"
  belongs_to :builder, :class_name => 'User', :foreign_key => 'builder_id'
  has_one :attachement, :class_name => "Attachement", :foreign_key => "attachement_id"
  acts_as_activity_provider :type => 'rubygems',
                              :timestamp => "#{Rubygem.table_name}.updated_at",
                              :author_key => "#{Rubygem.table_name}.builder_id",
                              :permission => :view_rubygems,
                              :find_options => {:joins => "LEFT JOIN #{Project.table_name} ON #{Project.table_name}.id = #{Rubygem.table_name}.project_id"}
 
  
  acts_as_event :title => Proc.new {|o|
                       title = l('rubygems.models.rubygem.event_title', :project => o.project, :gemfile => "#{o.filename}")
                       title
                  },
                :description => Proc.new {|o| 
                       desc = l('rubygems.models.rubygem.event_description', :version => o.version, :comments => o.comments ) 
                       desc 
                },
                :datetime => :updated_at,
                :author => :builder,
                :type => 'rubygems',
                :url => Proc.new {|o| {:controller => 'rubygems', :action => 'index', :project_id => o.project }}
end
