
require 'redmine'
begin
require 'config/initializers/session_store.rb'
rescue LoadError
end
Dir::foreach(File.join(File.dirname(__FILE__), 'lib')) do |file|
  next unless /\.rb$/ =~ file
  require file
end


Redmine::Plugin.register :redmine_gems do
  name 'Redmine Gems plugin'
  author 'Romain Georges'
  description 'This is a plugin for Redmine how provide Gems Contructions capabilities for Repository of a project how contains Rakefile or Gemspec'
  version '0.1.0'
  url 'https://www.ultragreen.net/projects/show/redmine-gems'
  author_url 'http://www.ultragreen.net'  
  menu :project_menu, :rubygems, { :controller => 'rubygems', :action => 'index' }, :caption => 'Gems', :after => :repository, :param => :project_id
  project_module :rubygems do
       permission :view_rubygems, :rubygems => :index
       permission :build_rubygems, :rubygems => :create
       permission :local_deployment_of_rubygems, :rubygems => :create
       permission :server_deployment_of_rubygems, :rubygems => :create
       permission :gemcutter_deployment_of_rubygems, :rubygems => :create
       permission :rubygems_project_settings, {:rubygems_project_settings => [:show, :update]}
  end
  settings(:partial => 'settings/rubygems_settings',
           :default => {
             'export_path' => '/tmp/exports',
             'gemdir_path' => '/tmp/gemdir',
             'annonce_enabled' => 1,
             'gemdir_deployment_enabled_default' => 0,
             'local_deployment_enabled_default' => 0,
             'gemcutter_deployment_enabled_default' => 0
           })
  activity_provider :rubygems, :class_name => 'Rubygem', :default => false
end

